Skip to main content
`Ctrl`+`K`

# PetscDataTypeToMPIDataType

Converts the `PetscDataType` name of a datatype to its `MPI_Datatype`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscDataTypeToMPIDataType(PetscDataType ptype, MPI_Datatype *mtype)

Not Collective

## Input Parameter

- ptype - the PETSc datatype name (for example `PETSC_DOUBLE`)

## Output Parameter

- mtype - the MPI datatype (for example `MPI_DOUBLE`, …)

## See Also

`PetscDataType`, `PetscMPIDataTypeToPetscDataType()`

## Level

advanced

## Location

src/sys/objects/ptype.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages